org.jfree.chart.imagemap

## Class StandardToolTipTagFragmentGenerator

- java.lang.Object
- - org.jfree.chart.imagemap.StandardToolTipTagFragmentGenerator

All Implemented Interfaces:
  ToolTipTagFragmentGenerator

    public class StandardToolTipTagFragmentGenerator
    extends java.lang.Object
    implements ToolTipTagFragmentGenerator

Generates tooltips using the HTML title attribute for image map area tags.

### Constructor Summary

Constructors
Constructor and Description
`StandardToolTipTagFragmentGenerator()` Creates a new instance.

### Method Summary

Methods
`java.lang.String` `generateToolTipFragment(java.lang.String toolTipText)` Generates a tooltip string to go in an HTML image map.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StandardToolTipTagFragmentGenerator

    public StandardToolTipTagFragmentGenerator()

Creates a new instance.

### Method Detail

#### generateToolTipFragment

    public java.lang.String generateToolTipFragment(java.lang.String toolTipText)

Generates a tooltip string to go in an HTML image map.

Specified by:
  `generateToolTipFragment` in interface `ToolTipTagFragmentGenerator`
Parameters:
  `toolTipText` - the tooltip.
Returns:
  The formatted HTML area tag attribute(s).